/**
 ** X for KSplash/ML
 ** Copyright (c) 2002, Flaming Sword Productions
 ** All Rights Reserved
 **
 ** $Id: IconBar.h,v 1.1.1.1 2002/06/03 17:24:05 brian Exp $
 **/
#ifndef		__ICONBAR_H__
#define		__ICONBAR_H__
#include	<qlabel.h>
#include	<qwidget.h>
#include	<kpixmap.h>
#include	"Icon.h"

/**
 ** class IconBar: Provide a "container" for a group of Icons.  This will
 ** understand how to position and scale icons (or tell icons which scale
 ** they need to be).
 **/
class		IconBar: public QLabel {
Q_OBJECT
public:
		IconBar();
		~IconBar();

public slots:
	void		appendIcon( Icon * );

private slots:
	void		_positionIcons();

protected:
	QRect		_desktopGeometry();
	void		resizeEvent( QResizeEvent * );

	QList<Icon>	gIcons;
};

#endif
